package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.NewenergyInfrastructure;
import com.lightinit.hsdatashow.entity.NewenergyInfrastructureExample;
import java.util.List;
import java.util.Map;

import com.lightinit.hsdatashow.model.admin.ChartModel2;
import org.apache.ibatis.annotations.Param;

public interface NewenergyInfrastructureMapper {
    long countByExample(NewenergyInfrastructureExample example);

    int deleteByExample(NewenergyInfrastructureExample example);

    int deleteByPrimaryKey(Long id);

    int insert(NewenergyInfrastructure record);

    int insertSelective(NewenergyInfrastructure record);

    List<NewenergyInfrastructure> selectByExample(NewenergyInfrastructureExample example);

    NewenergyInfrastructure selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") NewenergyInfrastructure record, @Param("example") NewenergyInfrastructureExample example);

    int updateByExample(@Param("record") NewenergyInfrastructure record, @Param("example") NewenergyInfrastructureExample example);

    int updateByPrimaryKeySelective(NewenergyInfrastructure record);

    int updateByPrimaryKey(NewenergyInfrastructure record);

    List<ChartModel2> getNewenergyInfrastructure();
}